import React from "react";
import ReactDOM from "react-dom";
import {arc} from "d3";

// console.log(arc)

const width= 960;
const height=500;
const centerX=width/2;
const centerY=height/2;
const strokeWidth=20;
const eyeOffsetX=90;
const eyeOffsetY=100;
const eyeRadius= 40;

const mounthArc = arc()
    .innerRadius(90)
    .outerRadius(100)
    .startAngle(Math.PI /2)
    .endAngle(Math.PI * 3/2);


const App = () => (
    
    <svg width={width} height={height}>
    <g transform={'translate(480,250)'}>
        <circle
          r={250- strokeWidth / 2}
          fill="yellow"
          stroke="black"
          stroke-width={strokeWidth}
          />
           <circle
          cx={-eyeOffsetX}
          cy={-eyeOffsetY}
          r={eyeRadius}
        />
          <circle
          cx={eyeOffsetX}
          cy={-eyeOffsetY}
          r={eyeRadius}
        />
          <path d={mounthArc()}/>
      </g>
        </svg>

);

const rootElement = document.getElementById('root');
ReactDOM.render(<App />,rootElement);
